Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/libmbfl: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Tue, 12 Jan 2016 16:47:03 +0200

This is Libmbfl, a streamable multibyte character code filter and
converter library.
---
 testing/libmbfl/APKBUILD               | 47 ++++++++++++++++++++++++++++++++++
 testing/libmbfl/filters_makefile.patch | 20 +++++++++++++++
 2 files changed, 67 insertions(+)
 create mode 100644 testing/libmbfl/APKBUILD
 create mode 100644 testing/libmbfl/filters_makefile.patch
diff --git a/testing/libmbfl/APKBUILD b/testing/libmbfl/APKBUILD
new file mode 100644
index 0000000..95cd673
--- /dev/null
+++ b/testing/libmbfl/APKBUILD
_at_@ -0,0 +1,47 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=libmbfl
+pkgver=1.3.2
+pkgrel=0
+pkgdesc="A streamable multibyte character code filter and converter library"
+url="https://github.com/moriyoshi/libmbfl"
+arch="all"
+license="LGPLv2.1"
+depends=
+makedepends="gawk cmake libtool autoconf automake"
+install=
+subpackages="$pkgname-dev"
+source="https://github.com/moriyoshi/libmbfl/archive/$pkgname-$pkgver.tar.gz
+	filters_makefile.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build(){
+	cd "$_builddir"
+	cmake CMakeLists.txt -DCMAKE_INSTALL_PREFIX=/usr || return 1
+	make || return 1
+	./buildconf || return 1
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="22a1fb428c9fb8a6cefbe6c44e60a67a  libmbfl-1.3.2.tar.gz
+fa059f370036988652491a7e5ba0cc88  filters_makefile.patch"
+sha256sums="b20abb2712d5d8e51d8e3e38bd96b68e3a3c3e85e53f353801ab71a819e39d4d  libmbfl-1.3.2.tar.gz
+12a14d533f539604c19e926e6527e653bddafce8f2153653d180051015b947cb  filters_makefile.patch"
+sha512sums="266b50a87f1e9114d84c349dd78d765a48ce6d604a011510bf8a82badb54736a44fb5642e3607fed4006ddb0b5f7394935d2a6eff13140b382620832b9e9f3fe  libmbfl-1.3.2.tar.gz
+7964e0fc8e8825136cca30f81f5929746a326119b238f1c72c16fd7ea51787ef0cdc05180290d28d71ce07cf86e6c0aba7a57ec922f3c5bfa16f85aac5245a57  filters_makefile.patch"
diff --git a/testing/libmbfl/filters_makefile.patch b/testing/libmbfl/filters_makefile.patch
new file mode 100644
index 0000000..1863b18
--- /dev/null
+++ b/testing/libmbfl/filters_makefile.patch
_at_@ -0,0 +1,20 @@
+--- old/filters/Makefile.am
++++ new/filters/Makefile.am
+_at_@ -55,7 +55,7 @@
+ 	mbfilter_euc_kr.c \
+ 	mbfilter_uhc.c \
+ 	mbfilter_iso2022_jp_ms.c \
+-	mbfilter_iso2022_jp_2004.c \
++	mbfilter_iso2022jp_2004.c \
+ 	mbfilter_gb18030.c \
+ 	mbfilter_iso2022_kr.c \
+ 	mbfilter_cp866.c \
+_at_@ -90,7 +90,7 @@
+ 	mbfilter_htmlent.h \
+ 	mbfilter_hz.h \
+ 	mbfilter_iso2022_jp_ms.h \
+-	mbfilter_iso2022_jp_2004.h \
++	mbfilter_iso2022jp_2004.h \
+ 	mbfilter_iso2022_kr.h \
+ 	mbfilter_iso8859_1.h \
+ 	mbfilter_iso8859_10.h \
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Jan 12 2016 - 16:47:03 GMT